[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Fedora-xen] Re: AMD64 Ubuntu/virt-manager ?



On Thu, Nov 09, 2006 at 01:58:34PM +0000, axb wrote:
> Thanks Dan, original error now gone, 
> However I now get the following which looks like it could be a 64bitness
> problem, after running 'virt-manager' I get:-
> 
> Traceback (most recent call last):
>   File "/usr/local/share/virt-manager/virt-manager.py", line 61, in ?
>     import gtk
>   File "/var/lib/python-support/python2.4/gtk-2.0/gtk/__init__.py", line
> 48, in ?
>     from gtk import _gtk
>   File "/usr/lib/python2.5/site-packages/cairo/__init__.py", line 1,
> in ?
>     from _cairo import *
> ImportError: /usr/lib/python2.5/site-packages/cairo/_cairo.so: undefined
> symbol: Py_InitModule4_64
> 
> ---------
> 
> I've checked installed cairo libs; I have libcairo2 & libcairo2-dev,
> libcairo-directfb as well as python-cairo/python-cairo-dev all to no
> avail.


Looks like your python install is fubar - that stack trace has some
paths from python 2.4 and some from 2.5  While it may be source level
compatible for the most part, its certainly not ABI compatible so I
can't see a GTK for python 2.4 working with a Cairo for python 2.5

Regards,
Dan,
-- 
|=- Red Hat, Engineering, Emerging Technologies, Boston.  +1 978 392 2496 -=|
|=-           Perl modules: http://search.cpan.org/~danberr/              -=|
|=-               Projects: http://freshmeat.net/~danielpb/               -=|
|=-  GnuPG: 7D3B9505   F3C9 553F A1DA 4AC2 5648 23C1 B3DF F742 7D3B 9505  -=| 


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]